﻿using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using DotNetNuke.Entities.Modules;
using Telerik.Web.UI;

public partial class DesktopModules_Scheduler_Scheduler : PortalModuleBase
{
    private const string ProviderSessionKey = "Telerik.Web.Examples.Scheduler.XmlSchedulerProvider.DefaultCS";
    
	protected void Page_Init(object sender, EventArgs e)
	{
		XmlSchedulerProvider provider;
		if ((Session[ProviderSessionKey] == null) || (!IsPostBack))
		{
			provider = new XmlSchedulerProvider(Server.MapPath("~/App_Data/Appointments.xml"), false);
			Session[ProviderSessionKey] = provider;
		}
		else
		{
			provider = (XmlSchedulerProvider)Session[ProviderSessionKey];
		}

		RadScheduler1.Provider = provider;
	}

	protected void Page_Load(object sender, EventArgs e)
	{

	}

	protected void RadScheduler1_DataBound(object sender, EventArgs e)
	{
		// Turn off the support for multiple resource values.
		foreach (ResourceType resType in RadScheduler1.ResourceTypes)
		{
			resType.AllowMultipleValues = false;
		}
	}
}
